# This spec file was written by Robert R. Wal <rrw@reptile.eu.org>
# for version 0.2.2; I'm trivially modifying it for later versions.
# 		-- David Madore

Summary: OpenBSD's ftpd ported to Linux
Name: ftpd-BSD
Version: 0.3.2
Release: 2
Copyright: BSD-like
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}-root
Provides: ftpserver
Packager: David A. Madore <david.madore@ens.fr>

%description
This is a Linux port of the BSD ftp server (ftpd).  It doesn't have
all the bells and whistles of wu-ftpd, but it is also probably less
buggy and more secure (at least, it was certainly so before I ported
it, and I hope I didn't mess things up *too* much).

The source code was taken from the OpenBSD CVS as of 2000/07/07 (this
is after release 2.7).  The ftpd version number is 6.5 and this port's
version number is 0.3.2.

%prep
%setup

%build

make -C ftpd

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8} $RPM_BUILD_ROOT/etc/pam.d
install -s ftpd/ftpd $RPM_BUILD_ROOT/usr/sbin/ftpd-BSD
install ftpd/ftpd.8 $RPM_BUILD_ROOT/usr/man/man8/ftpd-BSD.8
install ftpd/ftp.pam.sample $RPM_BUILD_ROOT/etc/pam.d/ftp

gzip -9 $RPM_BUILD_ROOT/usr/man/man8/ftpd-BSD.8

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root,-)
%doc ftpd/README
%doc ftpd/GMT-WARNING

%attr(755,root,root)				/usr/sbin/ftpd-BSD
%attr(644,root,root)	%config(noreplace)	/etc/pam.d/ftp
%attr(664,root,man)	%doc			/usr/man/man8/ftpd-BSD.8.gz

%changelog

* Fri Jul  7 2000 David A. Madore <david.madore@ens.fr>
  [0.3.2-2]
- added GMT-WARNING to doc directory

* Fri Jul  7 2000 David A. Madore <david.madore@ens.fr>
  [0.3.2-1]
- adapted for version 0.3.2 (bugfix update)

* Sat Apr  8 2000 David A. Madore <david.madore@ens.fr>
  [0.3.1-1]
- adapted for version 0.3.1 (internal ls added)
- removed Makefile and Makefile.ORIGINAL from doc directory

* Sun Jan 23 2000 David A. Madore <david.madore@ens.fr>
  [0.3.0-1]
- adapted for version 0.3.0 (IPv6 support)

* Fri Nov 19 1999 David A. Madore <david.madore@ens.fr>
  [0.2.3-1]
- adapted for version 0.2.3 (sync'ed with OpenBSD 2.6)

* Fri Nov 19 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-2]
- removed "conflicts" and added packager info
- added %config(noreplace) to pam.d/ftp

* Wed Nov  3 1999 Robert R. Wal <rrw@reptile.eu.org>
  [0.2.2-1]
- initial release with 0.2.2
